$(document).ready(function(){
	
	//Define 
	var file_name = "data/bar.tsv"
	
	//Define margin
	var margin = {top: 20, right: 10, bottom: 70, left: 60};
	var vis_width = $('.visualization').width() - margin.left - margin.right;
	var vis_height = $('.visualization').height() - margin.top - margin.bottom;
	//Define scales
	var x_scale = d3.scale.ordinal().rangeRoundBands([0,vis_width], .1);
	var y_scale = d3.scale.linear().range([vis_height,0]);
	//Define axes
	var x_axis = d3.svg.axis().scale(x_scale).orient("bottom");
	var y_axis = d3.svg.axis().scale(y_scale).orient("left").ticks(10)

	//Append SVG to .vis
	var svg = d3.select('.visualization')
		.append('svg').attr('width',$('.visualization').width()).attr('height',$('.visualization').height())
		.append('g').attr("transform", "translate(" + margin.left + "," + margin.top + ")");

	//Bining data
	d3.tsv(file_name, type, function(error, data) {
		//If no data
		if (error) throw error;
		console.log(data);
		//Define domain of scale
		x_scale.domain(data.map(function(d) { return d.letter; }));
		y_scale.domain([0, d3.max(data, function(d) { return d.frequency; })]);

		svg.append("g")
			.attr("class", "x axis")
			.attr("transform", "translate(0," + vis_height + ")")
			.call(x_axis)
			.selectAll("text")
			.attr("y", 0)
			.attr("x", 9)
			.attr("dy", "1em")
			.attr("transform", "rotate(45)")
			.style("text-anchor", "start");

		svg.append("g")
			.attr("class", "y axis")
			.call(y_axis)
			.append("text")
			.attr("transform", "rotate(-90)")
			.attr("y", -55)
			.attr("dy", ".71em")
			.style("text-anchor", "end")
			.text("Frequency");

		svg.selectAll(".bar")
			.data(data)
			.enter().append("rect")
			.attr("class", "bar")
			.attr("x", function(d) { return x_scale(d.letter)+1;})
			.attr("width", x_scale.rangeBand()-3)
			.attr("y", function(d) { return y_scale(d.frequency);})
			.attr("height", function(d) { return vis_height - y_scale(d.frequency);})
			.on("mouseover", function() {
			});
	});
	function type(d) {
		d.frequency = +d.frequency;
		return d;
	}
});